"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
var react_1 = __importDefault(require("react"));
var react_apexcharts_1 = __importDefault(require("react-apexcharts"));
var FieldUsagePie = function (props) {
    var data = props.results;
    var state = {
        series: data.fieldUsages.map(function (_a) {
            var count = _a.count;
            return count;
        }),
        chartOptions: {
            labels: data.fieldUsages.map(function (_a) {
                var name = _a.name;
                return name;
            }),
            legend: {
                labels: {
                    colors: "#b7e0ff"
                }
            }
        }
    };
    return (react_1.default.createElement("div", { className: "app" },
        react_1.default.createElement("div", { className: "row" },
            react_1.default.createElement("div", { className: "mixed-chart" },
                react_1.default.createElement(react_apexcharts_1.default, { options: state.chartOptions, series: state.series, type: "pie", width: "500" })))));
};
exports.default = FieldUsagePie;
